package lingtao.net.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

import lingtao.net.bean.CustomerData;

public interface CustomerDataMapper {

	List<CustomerData> getCustomerDatas(CustomerData customerData);

	void addCustomerData(CustomerData customerData);

	void updateCustomerDataById(CustomerData customerData);

	void deleteCustomerDataById(Integer id);
	
	void updateCommentManager(CustomerData customerData);
	
	@Update("UPDATE tbl_customer_data SET isBuy = '1',completeDate = now() WHERE id = #{id} ")
	void changeIsBuy(@Param("id") Integer id);

	List<String> getProductExplain(@Param("productExplain") String productExplain, @Param("username") String username);


}
